(function () {

  var car_done = false;
  var app = angular.module('raseeni', ['ionic']);
  app.config(function ($stateProvider, $urlRouterProvider, $ionicConfigProvider) {
    $ionicConfigProvider.views.transition('none');
    $ionicConfigProvider.navBar.alignTitle('center');
    $stateProvider
      .state('app', {
        url: '/app',
        abstract: true,
        templateUrl: 'templates/menu.html',
        controller: 'MenuCtrl'
      })
      .state('app.home', {
        url: '/home',
        views: {
          'menuContent': {
            templateUrl: 'templates/home.html',
            controller: 'HomeCtrl'
          }
        }
      })
      .state('app.about', {
        url: '/about',
        views: {
          'menuContent': {
            templateUrl: 'templates/about.html',
            controller: 'AboutCtrl'
          }
        }
      })
      .state('app.contact_us', {
        url: '/contact_us',
        views: {
          'menuContent': {
            templateUrl: 'templates/contact_us.html',
            controller: 'ContactCtrl'
          }
        }
      })
      .state('app.best_offers', {
        url: '/best_offers',
        views: {
          'menuContent': {
            templateUrl: 'templates/best_offers.html',
            controller: 'OffersCtrl'
          }
        }
      })
      .state('app.services', {
        url: '/services',
        views: {
          'menuContent': {
            templateUrl: 'templates/services.html',
            controller: 'ServicesCtrl'
          }
        }
      })
      .state('app.information', {
        url: '/information',
        views: {
          'menuContent': {
            templateUrl: 'templates/information.html',
            controller: 'InformationCtrl'
          }
        }
      })
      .state('login', {
        url: '/login',
        templateUrl: 'templates/login.html',
        controller: 'LoginCtrl'
      })
      .state('register', {
        url: '/register',
        templateUrl: 'templates/register.html',
        controller: 'RegisterCtrl'
      })
      .state('login_home', {
        url: '/login_home',
        templateUrl: 'templates/login_home.html',
        controller: 'loginHomeCtrl'
      })
      .state('error', {
        url: '/error',
        templateUrl: 'templates/error.html',
        controller: 'ErrorCtrl'
      });
    $urlRouterProvider.otherwise('/app/home');
  });
  app.controller('ErrorCtrl', function ($rootScope) {
    $rootScope.isShowNav = false;
  });
  app.controller('MenuCtrl', function ($scope, $state, $rootScope, $ionicPopup) {
    $scope.$on('$ionicView.beforeEnter', function() {
      $rootScope.viewColor = '#00ACC0';
    });
    $scope.home = function () {
      $rootScope.isShowNav = true;
      $state.go('app.home');
      $rootScope.$emit("CallCar", {});
    };
    $scope.about = function () {
      $rootScope.isShowNav = true;
      $state.go('app.about');
    };
    $scope.contact_us = function () {
      $rootScope.isShowNav = true;
      $state.go('app.contact_us');
    };
    $scope.best_offers = function () {
      $rootScope.isShowNav = true;
      $state.go('app.best_offers');
    };
    $scope.services = function () {
      $rootScope.isShowNav = true;
      $state.go('app.services');
    };
    $scope.information = function () {
      $rootScope.isShowNav = true;
      $state.go('app.information');
    };
    $scope.guarantee = function () {
      $ionicPopup.alert({
        title: "3 شهورمن تاريخ الشراء ويستثني من ذلك قطع غيار الكهرباء او سوء الاستخدام ويتم عمل تقرير فني لدي احد مراكز الصيانة المعتمدين",
        buttons: [
          {
            text: 'إلغاء',
            type: 'other'
          }
        ]
      });
    };
    $scope.logout = function () {
      localStorage.removeItem("token");
      $state.go('login_home');
      car_done = false;
    };
  });
  app.controller('ContactCtrl', function ($scope, $http, $rootScope, $ionicPopup, $state, $ionicLoading) {
    $rootScope.isShowNav = true;
    $scope.contact_us = function () {
      $ionicLoading.show({
        content: 'تحميل',
        animation: 'fade-out',
        showBackdrop: true,
        maxWidth: 200,
        showDelay: 0
      });
      try {
        $timeout(function () {
          if ($ionicLoading._getLoader().$$state.value.isShown) {

            $ionicLoading.hide();
          }
        }, 30000);

      }
      catch (e) {
      }
      $http({
          url: "http://raseeny.net/api/contact-us",
          method: 'POST',
          data: {
            "msg":  document.getElementById("message").value,
            "purpose": document.getElementById('select_type').selectedIndex
          },
          headers: {'Content-Type': 'application/json', Authorization: localStorage.getItem('token')}
        }
      ).success(function (data) {
        try {
          $ionicLoading.hide();
          $ionicPopup.alert({
            title: data.data.message,
            buttons: [
              {
                text: 'إلغاء',
                type: 'disagree'
              },

              {
                text: '<b>الرئيسية</b>',
                type: 'agree',
                onTap: function () {
                  $state.go(app.home);
                  $rootScope.$emit("CallCar", {});
                }
              }
            ]
          });
        }
        catch (e) {
          $ionicLoading.hide();
          $ionicPopup.alert({
            title: 'فشل فى الإرسال',
            buttons: [
              {
                text: 'إلغاء',
                type: 'disagree'
              }]
          });
        }
      }).error(function () {
        $ionicLoading.hide();
        $ionicPopup.alert({
          title: 'فشل فى الإتصال',
          buttons: [
            {
              text: 'إلغاء',
              type: 'disagree'
            }]
        });
      });
    }
  });
  app.controller('OffersCtrl', function ($scope, $rootScope, $http, $ionicLoading, $ionicPopup, $timeout) {
    $rootScope.isShowNav = true;
    $ionicLoading.show({
      content: 'تحميل',
      animation: 'fade-out',
      showBackdrop: true,
      maxWidth: 200,
      showDelay: 0
    });
    try {
      $timeout(function () {
        if ($ionicLoading._getLoader().$$state.value.isShown) {

          $ionicLoading.hide();
        }

      }, 30000);
    }
    catch (e) {
    }
    $http.get('http://raseeny.net/api/get/offers').success(function (data) {

      if (data.status == "success") {
        $scope.offers = data.data;
      }
      $ionicLoading.hide();
    }).error(function () {
      $state.go('error');
      $ionicLoading.hide();
    });
  });
  app.controller('ServicesCtrl', function ($scope, $rootScope, $http, $ionicLoading, $ionicPopup, $timeout) {
    $rootScope.isShowNav = true;
    $ionicLoading.show({
      content: 'تحميل',
      animation: 'fade-out',
      showBackdrop: true,
      maxWidth: 200,
      showDelay: 0
    });
    try {
      $timeout(function () {
        if ($ionicLoading._getLoader().$$state.value.isShown) {

          $ionicLoading.hide();
        }
      }, 30000);

    }
    catch (e) {
    }
    $http.get('http://raseeny.net/api/service-center').success(function (data) {
      if (data.status == "success") {
        $scope.services = data.data;
      }
      $ionicLoading.hide();
    }).error(function () {
      $state.go('error');
      $ionicLoading.hide();
    });
  });
  app.controller('InformationCtrl', function ($scope, $rootScope, $ionicLoading, $http, $ionicPopup, $timeout) {
    $rootScope.isShowNav = true;
    $ionicLoading.show({
      content: 'تحميل',
      animation: 'fade-out',
      showBackdrop: true,
      maxWidth: 200,
      showDelay: 0
    });
    try {
      $timeout(function () {
        if ($ionicLoading._getLoader().$$state.value.isShown) {
          $ionicLoading.hide();

        }
      }, 30000);
    }
    catch
      (e) {
    }
    $http.get('http://raseeny.net/api/get/hints').success(function (data) {

      if (data.status == "success") {
        $scope.hints = data.data;
      }
      $ionicLoading.hide();
    }).error(function () {
      $state.go('error');
      $ionicLoading.hide();
    });
  });
  app.controller('AboutCtrl', function ($scope, $rootScope) {
    $rootScope.isShowNav = true;
  });
  app.controller('LoginCtrl', function ($scope, $http, $state, $rootScope, $ionicLoading, $ionicPopup, $timeout) {
    $rootScope.isShowNav = false;
// override default behaviour
    if (localStorage.getItem('token') != null) {
      $state.go('app.home');
      $rootScope.$emit("CallCar", {});
    }
    $scope.login = function () {
      $ionicLoading.show({
        content: 'تحميل',
        animation: 'fade-out',
        showBackdrop: true,
        maxWidth: 200,
        showDelay: 0
      });
      try {
        $timeout(function () {
          if ($ionicLoading._getLoader().$$state.value.isShown) {
            $ionicLoading.hide();
          }

        }, 30000);
      }
      catch (e) {
      }
      $http.post("http://raseeny.net/api/user/login",
        {
          "email": $scope.email,
          "password": $scope.password
        })
        .success(function (response) {
          $scope.response = response;
          if ($scope.response.status == "success") {
            localStorage.setItem('token', $scope.response.message[0]);
            $ionicLoading.hide();
            $state.go('app.home');
            $rootScope.$emit("CallCar", {});
          } else {
            $ionicLoading.hide();
            $ionicPopup.alert({
              title: 'فشل فى التسجيل',
              buttons: [
                {
                  text: 'إلغاء',
                  type: 'disagree'
                }]
            });
          }
        }).error(function () {
        $ionicLoading.hide();
        $state.go('error');
      });
    };
    $scope.register = function () {
      $state.go('register');
    };
  });
  app.controller('RegisterCtrl', function ($scope, $http, $state, $rootScope, $ionicLoading, $ionicPopup) {
    $rootScope.isShowNav = false;
    // grab pointer to original function

// override default behaviour
    if (localStorage.getItem('token') != null) {
      $state.go('app.home');
      $rootScope.$emit("CallCar", {});
    }
    $scope.register = function () {
      $ionicLoading.show({
        content: 'تحميل',
        animation: 'fade-out',
        showBackdrop: true,
        maxWidth: 200,
        showDelay: 0
      });
      try {

        $timeout(function () {
          if ($ionicLoading._getLoader().$$state.value.isShown) {
            $ionicLoading.hide();
          }

        }, 30000);
      }
      catch (e) {
      }
      if ($scope.name.length < 3) {
        $ionicPopup.alert({
          title: 'يجب أن يزيد اسم المستخدم عن ثلاثة حروف',
          buttons: [
            {
              text: 'إلغاء',
              type: 'disagree'
            }]
        });
      }
      else if ($scope.password.length < 8) {
        $ionicPopup.alert({
          title: 'يجب أن تكون كلمة السر أكبر من 8 حروف',
          buttons: [
            {
              text: 'إلغاء',
              type: 'disagree'
            }]
        });
      }
      else if ($scope.password != $scope.confirmation_password) {
        $ionicPopup.alert({
          title: 'يجب أن يتطابق تأكيد كلمة السر',
          buttons: [
            {
              text: 'إلغاء',
              type: 'disagree'
            }]
        });
      }
      else {
        $http.post("http://raseeny.net/api/user/register",
          {
            "name": $scope.name,
            "email": $scope.email,
            "password": $scope.password,
            "phone": $scope.phone,
            "city": $scope.city,
            "address": $scope.address
          })
          .success(function (response) {
            $scope.response = response;
            if ($scope.response.status == "success") {
              localStorage.setItem('token', $scope.response.message[0]);
              $ionicLoading.hide();
              $state.go('app.home');
              $rootScope.$emit("CallCar", {});
            } else {
              $ionicLoading.hide();
            }
          }).error(function () {
          $state.go('error');
        });
      }
      $ionicLoading.hide();
    };
    $scope.login = function () {
      $state.go('login');
    };
  });
  app.controller('HomeCtrl', function ($ionicPlatform, $state, $scope, $http, $ionicPopup, $rootScope, $ionicLoading, $timeout) {
    $ionicLoading.show({
      content: 'تحميل',
      animation: 'fade-out',
      showBackdrop: true,
      maxWidth: 200,
      showDelay: 0
    });
    try {
      $timeout(function () {
        if ($ionicLoading._getLoader().$$state.value.isShown) {

          $ionicLoading.hide();
        }
      }, 30000);

    }
    catch (e) {
    }
    $rootScope.isShowNav = true;
    // override default behaviour
    var selected = [];
    var items_selected_names = [];
    var items_selected_ids = [];
    var items_selected_types = [];
    var arrays = [], parts = [], arrs = [];
    var image_path;
    var item;
    var part;
    var brand_item;
    var user_choose = false, part_done = false;
    if (localStorage.getItem('token') == null) {
      $state.go('login_home');
      $ionicLoading.hide();
    }
    document.getElementById('select_car').style.visibility = 'visible';
    document.getElementById('select_cat').style.visibility = 'hidden';
    document.getElementById('select_part').style.visibility = 'hidden';
    document.getElementById('confirm_transaction').style.visibility = 'hidden';
    document.getElementById('confirm_transaction').className += " hidden_container";
    document.getElementById("stage_one").className += " w-active ";
    document.getElementById('btn_search').style.visibility = 'hidden';
    document.getElementById('brand_container').style.visibility = 'hidden';
    var model_select = document.getElementById('model');
    document.getElementById('model_container').style.visibility = 'hidden';
    document.getElementById('model_container').className += " hidden_container";
    var year_select = document.getElementById('year');
    document.getElementById('year_container').style.visibility = 'hidden';
    document.getElementById('year_container').className += " hidden_container";
    document.getElementById('car_comments_container').style.visibility = 'hidden';
    document.getElementById('car_comments_container').className += " hidden_container";

    document.getElementById('chassis_container').style.visibility = 'hidden';
    document.getElementById('chassis_container').className += " hidden_container";

    document.getElementById('motor_capacity_container').style.visibility = 'hidden';
    document.getElementById('motor_capacity_container').className += " hidden_container";
    document.getElementById('search_car').style.visibility = 'hidden';
    document.getElementById("search_car").className += " hidden_container";
    document.getElementById('type').style.visibility = 'hidden';
    document.getElementById('type').className += " hidden_container";
    $http.get('http://raseeny.net/api/home').success(function (data) {
      $ionicLoading.show({
        content: 'تحميل',
        animation: 'fade-out',
        showBackdrop: true,
        maxWidth: 200,
        showDelay: 0
      });
      try {
        $timeout(function () {
          if ($ionicLoading._getLoader().$$state.value.isShown) {
            $ionicLoading.hide();
          }
        }, 30000);

      }
      catch (e) {
      }
      if (data.status == "success") {
        if (data.data.length > 0) {
          while (data.data.length > 0) {
            var arr = data.data.splice(0, 4);
            arrs.push(arr);
          }
        }
        $scope.countries = arrs;
        document.getElementById('brand_container').style.visibility = 'visible';
        $scope.country_class = "col col-25 item_country";

      }
      else {
        $state.go('error');
      }
      $ionicLoading.hide();
    }).error(function () {
      $state.go('error');
      $ionicLoading.hide();
    });
    $scope.load_model = function () {
      try {
        brand_item.country_class = "col col-25 item_country";
      }
      catch (e) {

      }
      brand_item = this;
      document.getElementById('model_container').style.visibility = 'hidden';
      document.getElementById("model_container").className += " hidden_container";
      document.getElementById('year_container').style.visibility = 'hidden';
      document.getElementById("year_container").className += " hidden_container";
      document.getElementById('btn_search').style.visibility = 'hidden';
      document.getElementById("btn_search").className += " hidden_container";
      document.getElementById('type').style.visibility = 'hidden';
      document.getElementById("type").className += " hidden_container";
      document.getElementById('car_comments_container').style.visibility = 'hidden';
      document.getElementById("car_comments_container").className += " hidden_container";
      document.getElementById('chassis_container').style.visibility = 'hidden';
      document.getElementById("chassis_container").className += " hidden_container";
      document.getElementById('motor_capacity_container').style.visibility = 'hidden';
      document.getElementById("motor_capacity_container").className += " hidden_container";
      document.getElementById('search_car').style.visibility = 'hidden';
      document.getElementById("search_car").className += " hidden_container";
      $ionicLoading.show({
        content: 'تحميل',
        animation: 'fade-out',
        showBackdrop: true,
        maxWidth: 200,
        showDelay: 0
      });
      try {
        $timeout(function () {
          if ($ionicLoading._getLoader().$$state.value.isShown) {

            $ionicLoading.hide();
          }

        }, 30000);
      }
      catch (e) {
      }
      var id = this.country.id;
      $http.get('http://raseeny.net/api/get/brands/' + id).success(function (data) {
        if (data.status == "success") {
          if (brand_item.country_class === "col col-25 item_country") {
            brand_item.country_class = "col col-25 selected_item_country";
          }
          else {
            brand_item.country_class = "col col-25 item_country";
          }
          document.getElementById('model_container').style.visibility = 'visible';
          $scope.models = data.data;
          var start = new Date().getFullYear();
          var end = 1990;
          var options = "";
          for (var year = start; year >= end; year--) {
            options += "<option>" + year + "</option>";
          }
          document.getElementById("year").innerHTML = options;
          document.getElementById('year_container').style.visibility = 'visible';
          document.getElementById("year_container").classList.remove('hidden_container');
          document.getElementById('model_container').style.visibility = 'visible';
          document.getElementById("model_container").classList.remove('hidden_container');
          document.getElementById('btn_search').style.visibility = 'visible';
          document.getElementById("btn_search").classList.remove('hidden_container');
          document.getElementById('type').style.visibility = 'visible';
          document.getElementById("type").classList.remove('hidden_container');
          document.getElementById('car_comments_container').style.visibility = 'visible';
          document.getElementById("car_comments_container").classList.remove('hidden_container');
          document.getElementById('chassis_container').style.visibility = 'visible';
          document.getElementById("chassis_container").classList.remove('hidden_container');
          document.getElementById('motor_capacity_container').style.visibility = 'visible';
          document.getElementById("motor_capacity_container").classList.remove('hidden_container');
          document.getElementById('search_car').style.visibility = 'visible';
          document.getElementById("search_car").classList.remove('hidden_container');
          document.getElementById('brand_container').style.visibility = 'hidden';
          document.getElementById("brand_container").className += " hidden_container";
          document.getElementById('car_select_model').style.visibility = 'visible';
          document.getElementById("car_select_model").classList.remove('hidden_container');

        }
        else {
          $ionicPopup.alert({
            title: 'لا يوجد نتائج لهذه السيارة',
            buttons: [
              {
                text: 'إلغاء',
                type: 'disagree'
              }]
          });
        }
      }).error(function () {
        $state.go('error');
      });
      $ionicLoading.hide();
    };
    $scope.search = function () {
      var year_id = year_select.options[year_select.selectedIndex].value;
      var image_path;
      var model_index = model_select.selectedIndex;
      for (var i = 0; i < $scope.models[model_index].cars.length; i++) {
        if (year_id >= $scope.models[model_index].cars[i].model_start && year_id <= $scope.models[model_index].cars[i].model_end) {
          image_path = $scope.models[model_index].cars[i].image;
        }
      }
      if (image_path == undefined) {
        $ionicPopup.alert({
          title: 'لا يوجد قطع متوفرة لهذه السيارة',
          buttons: [
            {
              text: 'إلغاء',
              type: 'disagree'
            },

            {
              text: '<b>طلب قطع معينة</b>',
              type: 'agree',
              onTap: function () {
                $ionicLoading.show({
                  content: 'تحميل',
                  animation: 'fade-out',
                  showBackdrop: true,
                  maxWidth: 200,
                  showDelay: 0
                });
                try {
                  $timeout(function () {
                    if ($ionicLoading._getLoader().$$state.value.isShown) {

                      $ionicLoading.hide();
                    }

                  }, 30000);
                }
                catch (e) {
                }
                document.getElementById('stage_two').className = document.getElementById('stage_one').className.replace('w-active', 'w-done');
                document.getElementById('stage_one').classList.remove("w-active");
                document.getElementById('stage_one').className += " w-done";
                document.getElementById("stage_three").className += " w-active";
                document.getElementById('select_part').className = "";
                document.getElementById('select_cat').className = "";
                document.getElementById('select_car').className = "";
                document.getElementById('select_car').className += " hidden_container";
                document.getElementById('select_car').style.visibility = 'hidden';
                document.getElementById('selected_parts').className = "";
                document.getElementById('select_part').className += " hidden_container";
                document.getElementById('select_cat').className += " hidden_container";
                document.getElementById('selected_parts').className += " hidden_container";
                document.getElementById("confirm_transaction").classList.remove('hidden_container');
                document.getElementById('confirm_transaction').style.visibility = 'visible';
                car_done = true;
                $ionicLoading.hide();
              }
            }
          ]
        });
      }
      else {
        console.log(document.getElementById("chassis_number").value);
  /*      if (document.getElementById("chassis_number").value == "") {
          $ionicPopup.alert({
            title: 'يجب كتابة رقم الشاسيه',
            buttons: [
              {
                text: 'إلغاء',
                type: 'disagree'
              }]
          });
        }*/
  //      else {
          $ionicPopup.alert({
            title: 'السيارة المختارة',
            template: '<img src="' + image_path + '" class="car_img">',
            buttons: [
              {
                text: 'إلغاء',
                type: 'disagree'
              },

              {
                text: '<b>موافقة</b>',
                type: 'agree',
                onTap: function () {
                  $ionicLoading.show({
                    content: 'تحميل',
                    animation: 'fade-out',
                    showBackdrop: true,
                    maxWidth: 200,
                    showDelay: 0
                  });
                  try {
                    $timeout(function () {
                      if ($ionicLoading._getLoader().$$state.value.isShown) {

                        $ionicLoading.hide();

                      }
                    }, 30000);
                  }

                  catch (e) {
                  }
                  var type;
                  if (document.getElementById("automatic").checked == true) {
                    type = "automatic";
                  }
                  else {
                    type = "manual";
                  }
                  $http.get('http://raseeny.net/api/parts/search/' + $scope.models[model_index].id + "/" + year_id + "/" + type).success(function (data) {
                    if (data.status == "success") {
                      if (data.data.length > 0) {
                        while (data.data.length > 0) {
                          var array = data.data.splice(0, 3);
                          arrays.push(array);
                        }
                        $scope.categories = arrays;
                        document.getElementById('stage_one').className = document.getElementById('stage_one').className.replace('w-active', 'w-done');
                        document.getElementById("stage_two").className += " w-active";
                        document.getElementById('select_car').className = "";
                        document.getElementById('select_car').className += " hidden_container";
                        document.getElementById('select_car').style.visibility = 'hidden';
                        document.getElementById("select_cat").classList.remove('hidden_container');
                        document.getElementById('select_cat').style.visibility = 'visible';
                        $scope.class = "col col-33 item_grid";
                        car_done = true;
                      }
                      $ionicLoading.hide();
                    }
                  }).error(function () {
                    $state.go('error');
                    $ionicLoading.hide();
                  });
                }
              }
            ]
          });
    //    }
      }
    };
    $scope.select_cat = function () {
      $ionicLoading.show({
        content: 'تحميل',
        animation: 'fade-out',
        showBackdrop: true,
        maxWidth: 200,
        showDelay: 0
      });
      try {
        $timeout(function () {
          if ($ionicLoading._getLoader().$$state.value.isShown) {

            $ionicLoading.hide();
          }
        }, 30000);

      }
      catch (e) {
      }
      user_choose = document.getElementById('btn_cat').innerHTML != "تخطى";
      if (user_choose == false) {
        document.getElementById('stage_two').className = document.getElementById('stage_one').className.replace('w-active', 'w-done');
        document.getElementById("stage_three").className += " w-active";
        document.getElementById('select_part').className = "";
        document.getElementById('select_cat').className = "";
        document.getElementById('selected_parts').className = "";
        document.getElementById('select_part').className += " hidden_container";
        document.getElementById('select_cat').className += " hidden_container";
        document.getElementById('selected_parts').className += " hidden_container";
        document.getElementById("confirm_transaction").classList.remove('hidden_container');
        document.getElementById('confirm_transaction').style.visibility = 'visible';
        part_done = true;
        $ionicLoading.hide();
      }
      else {
        document.getElementById('selected_parts').classList.remove("hidden_container");
        parts = [];
        for (var i = 0; i < arrays.length; i++) {
          for (var y = 0; y < arrays[i].length; y++) {
            for (var z = 0; z < selected.length; z++) {
              if (arrays[i][y].name == selected[z])
                parts.push(arrays[i][y].parts);
            }
          }

        }
        $scope.parts = {};
        for (var n = 0; n < parts.length; n++) {
          $scope.parts[n] = {title: selected[n], parts: parts[n]};
        }
        document.getElementById('select_cat').className = "";
        document.getElementById('select_cat').className += " hidden_container";
        document.getElementById("select_part").classList.remove('hidden_container');
        document.getElementById('select_part').style.visibility = 'visible';
        $scope.part_class = "";
        $ionicLoading.hide();
      }

    };
    $scope.choose_cat = function () {
      if (this.class === "col col-33 item_grid") {
        this.class = "col col-33 selected_item_grid";
        selected.push(this.category.name);
      }
      else {
        this.class = "col col-33 item_grid";
        Array.prototype.remove = function () {
          var what, a = arguments, L = a.length, ax;
          while (L && this.length) {
            what = a[--L];
            while ((ax = this.indexOf(what)) != -1) {
              this.splice(ax, 1);
            }
          }
          return this;
        };
        selected.remove(this.category.name)
      }
      if (selected.length == 0) {
        document.getElementById('btn_cat').innerHTML = "تخطى";
        user_choose = false;
      } else {
        document.getElementById('btn_cat').innerHTML = "الخطوة التالية";
        user_choose = true;
      }

    };
    $scope.select_part = function () {
      image_path = this.part.image_path;
      item = this;
      if (item.part_class === "") {
        $ionicPopup.alert({
          title: "هل تريد شراء هذه القطعة أصلى أم ماركات أخرى",
          buttons: [
            {
              text: 'ماركات أخرى',
              type: 'other',
              onTap: function () {
                item.part_class = "selected_item";
                items_selected_ids.push(item.part.id);
                items_selected_names.push(item.part.title);
                items_selected_types.push(0);
                document.getElementById('btn_part').innerHTML = "الخطوة التالية";
                user_choose = true;
              }
            },
            {
              text: 'أصلى',
              type: 'agree',
              onTap: function () {
                item.part_class = "selected_item";
                items_selected_ids.push(item.part.id);
                items_selected_names.push(item.part.title);
                items_selected_types.push(1);
                document.getElementById('btn_part').innerHTML = "الخطوة التالية";
                user_choose = true;
              }
            }
          ]
        });
      }
      else {
        item.part_class = "";
        Array.prototype.remove = function () {
          var what, a = arguments, L = a.length, ax;
          while (L && this.length) {
            what = a[--L];
            while ((ax = this.indexOf(what)) != -1) {
              this.splice(ax, 1);
            }
          }
          return this;
        };
        items_selected_ids.remove(item.part.id);
        items_selected_names.remove(item.part.title);
      }
      if (items_selected_ids.length == 0) {
        document.getElementById('btn_part').innerHTML = "تخطى";
        user_choose = false;
      } else {
        document.getElementById('btn_part').innerHTML = "الخطوة التالية";
        user_choose = true;
      }
    };
    $scope.select_par = function () {
      $ionicLoading.show({
        content: 'تحميل',
        animation: 'fade-out',
        showBackdrop: true,
        maxWidth: 200,
        showDelay: 0
      });
      try {
        $timeout(function () {
          if ($ionicLoading._getLoader().$$state.value.isShown) {

            $ionicLoading.hide();
          }

        }, 30000);
      }
      catch (e) {
      }
      if (document.getElementById('btn_part').innerHTML == "تخطى") {
        user_choose = false;
      }
      if (user_choose == false) {
        document.getElementById('stage_two').className = document.getElementById('stage_one').className.replace('w-active', 'w-done');
        document.getElementById("stage_three").className += " w-active";
        document.getElementById('select_part').className = "";
        document.getElementById('select_cat').className = "";
        document.getElementById('select_part').className += 'hidden_container';
        document.getElementById('select_cat').className += 'hidden_container';
        document.getElementById('selected_parts').className = "";
        document.getElementById('selected_parts').className += 'hidden_container';
        document.getElementById("confirm_transaction").classList.remove('hidden_container');
        document.getElementById('confirm_transaction').style.visibility = 'visible';
        $ionicLoading.hide();
      }
      else {
        $scope.selected_items = {};
        for (var i = 0; i < items_selected_names.length; i++) {
          $scope.selected_items[i] = {id: items_selected_ids[i], name: items_selected_names[i]}
        }
        document.getElementById('stage_two').className = document.getElementById('stage_one').className.replace('w-active', 'w-done');
        document.getElementById("stage_three").className += " w-active";
        document.getElementById('select_part').className = "";
        document.getElementById('select_part').className += "hidden_container";
        document.getElementById("confirm_transaction").classList.remove('hidden_container');
        document.getElementById('confirm_transaction').style.visibility = 'visible';
        $ionicLoading.hide();
      }
      part_done = true;
    };
    $scope.showRemovePopup = function () {
      $ionicPopup.alert({
        title: 'هل تريد حذف هذه القطعة من الطلب',
        buttons: [
          {
            text: 'إلغاء',
            type: 'disagree'
          },
          {
            text: '<b>موافقة</b>',
            type: 'agree',
            onTap: function () {
              Array.prototype.remove = function () {
                var what, a = arguments, L = a.length, ax;
                while (L && this.length) {
                  what = a[--L];
                  while ((ax = this.indexOf(what)) != -1) {
                    this.splice(ax, 1);
                  }
                }
                return this;
              };
              items_selected_ids.remove(part.selected_item.id);
              items_selected_names.remove(part.selected_item.name);
              $scope.selected_items = {};

              for (var i = 0; i < items_selected_names.length; i++) {
                $scope.selected_items[i] = {id: items_selected_ids[i], name: items_selected_names[i]}
              }
            }
          }
        ]
      });
    };
    $scope.remove_part = function () {
      part = this;
      $scope.showRemovePopup();
    };
    $scope.send = function () {
      $ionicLoading.show({
        content: 'تحميل',
        animation: 'fade-out',
        showBackdrop: true,
        maxWidth: 200,
        showDelay: 0
      });
      try {
        $timeout(function () {
          if ($ionicLoading._getLoader().$$state.value.isShown) {

            $ionicLoading.hide();
          }
        }, 30000);

      }
      catch (e) {
      }
      if (user_choose == false && document.getElementById("parts_comments").value == "") {
        $ionicLoading.hide();
        $ionicPopup.alert({
          title: 'من فضلك قم بطلب قطعة غيار',
          buttons: [
            {
              text: 'إلغاء',
              type: 'disagree'
            }]
        });
      }
      else {
        var products_ids = {};
        for (var i = 0; i < items_selected_ids.length; i++) {
          products_ids[i] = {product_id: items_selected_ids[i], product_type: items_selected_types[i]}
        }
        if (document.getElementById("type_check").checked == false) {
          $scope.type = 0;
        }
        else {
          $scope.type = 1;
        }

        $http({
            url: "http://raseeny.net/api/order/create",
            method: 'POST',
            data: {
              "order": {
                "coast": "",
                "car_comments": document.getElementById("car_comments").value,
                "chassis_number": document.getElementById("chassis_number").value,
                "motor_capacity": document.getElementById("motor_capacity").value,
                "part_comments": document.getElementById("parts_comments").value,
                "model": document.getElementById("model").value,
                "year": document.getElementById("year").value,
                "type": $scope.type
              }, "items": products_ids
            },
            headers: {'Content-Type': 'application/json', Authorization: localStorage.getItem('token')}
          }
        ).success(function (data) {
          try {

            $ionicLoading.hide();
            $ionicPopup.alert({
              title: "تم تنفيذ طلبكم بنجاح وسنقوم بالرد عليكم خلال ساعتين.نشكركم لاختياركم رسيني ",
              //title: data.data.message,
              buttons: [
                {
                  text: 'إلغاء',
                  type: 'disagree'
                },

                {
                  text: '<b>الرئيسية</b>',
                  type: 'agree',
                  onTap: function () {
                    $rootScope.$emit("CallCar", {});
                    $state.go(app.home);
                  }
                }
              ]
            });
            document.getElementById("stage_three").classList.remove('w-active');
            document.getElementById("stage_three").className += " w-done";
          }
          catch (e) {
            $ionicLoading.hide();
            $ionicPopup.alert({
              title: 'فشل فى الإرسال',
              buttons: [
                {
                  text: 'إلغاء',
                  type: 'disagree'
                }]
            });
          }
        }).error(function () {
          $ionicLoading.hide();
          $ionicPopup.alert({
            title: 'فشل فى الإتصال',
            buttons: [
              {
                text: 'إلغاء',
                type: 'disagree'
              }]
          });
        });
      }
    };
    $rootScope.$on("CallCar", function () {
      $scope.car();
    });
    $scope.car = function () {
      car_done = false;
      document.getElementById('stage_one').classList.remove("w-done");
      document.getElementById("stage_one").className += " w-active ";
      document.getElementById('stage_two').classList.remove("w-done");
      document.getElementById('stage_two').classList.remove("w-active");
      document.getElementById('stage_three').classList.remove("w-done");
      document.getElementById('stage_three').classList.remove("w-active");
      document.getElementById('select_car').style.visibility = 'visible';
      document.getElementById('brand_container').classList.remove("hidden_container");
      document.getElementById('brand_container').style.visibility = 'visible';
      document.getElementById('select_car').classList.remove('hidden_container');
      document.getElementById('select_cat').style.visibility = 'hidden';
      document.getElementById('select_cat').className += " hidden_container";
      document.getElementById('car_select_model').style.visibility = 'hidden';
      document.getElementById('car_select_model').className += " hidden_container";
      document.getElementById('select_part').style.visibility = 'hidden';
      document.getElementById('confirm_transaction').style.visibility = 'hidden';
      document.getElementById('confirm_transaction').className += " hidden_container";
      document.getElementsByClassName('selected_item').className = "";
      document.getElementsByClassName('selected_item_grid').className = "col col-33 item_grid";
      document.getElementById('btn_cat').innerHTML = "تخطى";
      document.getElementById('btn_part').innerHTML = "تخطى";
      user_choose = false;
      selected = [];
      items_selected_names = [];
      items_selected_ids = [];
      arrays = [];
      parts = [];
      part_done = false;
    };
    $scope.part = function () {
      /*if (part_done) {
       // document.getElementById('stage_one').classList.remove("w-done");
       document.getElementById('stage_two').classList.remove("w-done");
       document.getElementById('stage_two').className += " w-active";
       document.getElementById('stage_three').classList.remove("w-done");
       document.getElementById('stage_three').classList.remove("w-active");
       document.getElementById('select_cat').style.visibility = 'visible';
       document.getElementById('select_cat').classList.remove('hidden_container');
       document.getElementById('select_part').style.visibility = 'hidden';
       document.getElementById('confirm_transaction').style.visibility = 'hidden';
       document.getElementById('confirm_transaction').className += " hidden_container";

       if (selected.length = 0) {
       document.getElementById('btn_cat').innerHTML = "تخطى";
       }
       if (items_selected_names.length = 0) {
       document.getElementById('btn_cat').innerHTML = "تخطى";
       }
       $scope.class = "col col-33 item_grid";
       car_done = true;
       var elements = document.getElementsByClassName("selected_item_grid");

       for (var i = elements.length - 1; i >= 0; --i) {
       elements[i].class = "col col-33 item_grid";
       }
       }
       };*/
      //  $ionicLoading.hide();
    };
  });
  app.controller('loginHomeCtrl', function ($state, $scope, $rootScope) {
    $rootScope.isShowNav = false;
    if (localStorage.getItem('token') != null) {
      $state.go('app.home');
      $rootScope.$emit("CallCar", {});
    }
    $scope.login = function () {
      $state.go('login');
    };
    $scope.register = function () {
      $state.go('register');
    };
  });
  app.run(function ($ionicPlatform, $rootScope, $ionicHistory, $state, $ionicPopup) {
    $ionicPlatform.registerBackButtonAction(function (e) {

      e.preventDefault();
      if (($ionicHistory.currentView().stateName == 'app.home' && car_done == false) || $ionicHistory.currentView().stateName == 'login_home') {
        $ionicPopup.alert({
          title: 'هل تريد الخروج من التطبيق؟',
          buttons: [
            {
              text: 'إلغاء',
              type: 'disagree'
            },

            {
              text: '<b>خروج</b>',
              type: 'agree',
              onTap: function () {
                ionic.Platform.exitApp();
              }
            }
          ]
        });
      }
      else if ($ionicHistory.currentView().stateName == 'register' || $ionicHistory.currentView().stateName == 'login') {
        $state.go('login_home');
      }
      else {
        $state.go('app.home');
        $rootScope.$emit("CallCar", {});
      }
      /*function showConfirm() {
       var confirmPopup = $ionicPopup.confirm({
       title: '<strong>Exit X-Wing Companion?</strong>',
       template: 'Are you sure you want to exit XWC?'
       });

       confirmPopup.then(function(res) {
       if (res) {
       ionic.Platform.exitApp();
       } else {
       // Don't close
       }
       });
       }

       // Is there a page to go back to?
       if ($rootScope.$viewHistory.backView) {
       // Go back in history
       $rootScope.$viewHistory.backView.go();
       } else {
       // This is the last page: Show confirmation popup
       showConfirm();
       }

       return false;*/
    }, 101);
    $rootScope.isShowNav = true;
    $ionicPlatform.ready(function () {
      if (window.cordova && window.cordova.plugins.Keyboard) {
        cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
        cordova.plugins.Keyboard.disableScroll(true);
      }
      if (window.StatusBar) {
        StatusBar.styleDefault();
      }
    });
  });
}());

